summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorKarel Zak2015-03-17 11:25:57 +0100
committerKarel Zak2015-03-17 11:25:57 +0100
commitf586080352cc77ae8632068021c2ad53d60c3abd (patch)
treecfa36c8f68457eb8a3f5b6f131ab4428533232b5
parenttests: use ts_skip for logger/journald (diff)
parenttests: optionally skip tests where loop support is needed (diff)
downloadkernel-qcow2-util-linux-f586080352cc77ae8632068021c2ad53d60c3abd.tar.gz
kernel-qcow2-util-linux-f586080352cc77ae8632068021c2ad53d60c3abd.tar.xz
kernel-qcow2-util-linux-f586080352cc77ae8632068021c2ad53d60c3abd.zip
Merge branch 'drone-ci' of https://github.com/rudimeier/util-linux
-rwxr-xr-x.travis-functions.sh15
-rw-r--r--.travis.yml14
-rw-r--r--tests/functions.sh4
3 files changed, 22 insertions, 11 deletions
diff --git a/.travis-functions.sh b/.travis-functions.sh
index ed491f417..ee4988d9e 100755
--- a/.travis-functions.sh
+++ b/.travis-functions.sh
@@ -69,6 +69,21 @@ function check_dist
$MAKE distcheck || return
}
+function travis_install_script
+{
+ # install some packages from Ubuntu's default sources
+ sudo apt-get -qq update || return
+ sudo apt-get install -qq >/dev/null \
+ bc \
+ dnsutils \
+ libcap-ng-dev \
+ libpam-dev \
+ libudev-dev \
+ gtk-doc-tools \
+ ntp \
+ || return
+}
+
function travis_before_script
{
pushd "$SOURCE_DIR" || return
diff --git a/.travis.yml b/.travis.yml
index d8cbcc4e0..c092a4491 100644
--- a/.travis.yml
+++ b/.travis.yml
@@ -16,21 +16,13 @@ branches:
only:
- master
- /^stable.*/
+ - /^travis.*/
install:
- # install some packages from Ubuntu's default sources
- - sudo apt-get -qq update
- - sudo apt-get install -qq
- bc
- dnsutils
- libcap-ng-dev
- libpam-dev
- libudev-dev
- gtk-doc-tools
- ntp
+ - source ./.travis-functions.sh
+ - travis_install_script
before_script:
- - source ./.travis-functions.sh
- travis_before_script
script:
diff --git a/tests/functions.sh b/tests/functions.sh
index 02f81dd5e..bfc3fa28d 100644
--- a/tests/functions.sh
+++ b/tests/functions.sh
@@ -68,6 +68,10 @@ function ts_check_losetup {
local tmp
ts_check_test_command "$TS_CMD_LOSETUP"
+ if [ "$TS_OPT_FEAT_SKIP_LOOP" = "yes" ]; then
+ ts_skip "loop-device tests disabled"
+ fi
+
# assuming that losetup -f works ... to be checked somewhere else
tmp=$($TS_CMD_LOSETUP -f 2>/dev/null)
if test -b "$tmp"; then